Opened 14 years ago

Closed 14 years ago

#465 closed defect (fixed)

Find one showing finds more than one

Reported by: imc25 at cam.ac.uk Owned by: bjm@…
Priority: minor Milestone: unknown
Component: mythtv Version:
Severity: medium Keywords:
Cc: Ticket locked: no

Description

I set two films to record on "find one showing" earlier today. It has recorded each of them three times so far...

Change History (11)

comment:1 Changed 14 years ago by imc25 at cam.ac.uk

[7429] seems like the likely cause, but it's not obvious why

comment:2 Changed 14 years ago by bjm

Owner: changed from Isaac Richards to anonymous
Status: newassigned

I assume this is current SVN but please verify what version of myth you are running. Please provide the following information:

$ mysql -u mythtv -pmythtv mythconverg
mysql> select recordid,title from record where type=6;

[ find the recordid of the show in question then send the output
for the following using that number in place of <recordid> ]

mysql> select * from record where recordid=<recordid>\G

mysql> select starttime,recstatus from oldrecorded where recordid=<recordid>;

mysql> select * from oldfind;

comment:3 Changed 14 years ago by bjm@…

Owner: changed from anonymous to bjm@…
Status: assignednew

comment:4 Changed 14 years ago by imc25 at cam.ac.uk

I'm running svn r7454

mysql> select * from record where recordid in (313,314); +----------+------+--------+-----------+------------+----------+------------+-----------------------------------------+----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+--------------+----------+-----------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+ | recordid | type | chanid | starttime | startdate | endtime | enddate | title | subtitle | description | category | profile | recpriority | autoexpire | maxepisodes | maxnewest | startoffset | endoffset | recgroup | dupmethod | dupin | station | seriesid | programid | search | autotranscode | autocommflag | autouserjob1 | autouserjob2 | autouserjob3 | autouserjob4 | findday | findtime | findid | inactive | parentid | transcoder | tsdefault | +----------+------+--------+-----------+------------+----------+------------+-----------------------------------------+----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+--------------+----------+-----------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+ | 313 | 6 | 1299 | 11:00:00 | 2005-10-13 | 12:51:00 | 2005-10-13 | Miss Congeniality 2: Armed and Fabulous | | Fans of Miss Congeniality aka Gracie Hart aka Sandra Bullock will love this equally silly sequel to the original hit movie. Gracie is now a national heroine, having saved the Miss America pageant from sabotage. But she's so well known that carrying on as an undercover agent is impossible, so the powers that be decide to make her "The Face of the FBI" and she embarks on a whirlwind publicity tour. While in Las Vegas she hears that her pal Cheryl and pageant boss Stan have been kidnapped and is determined to track them down, with or without the help of her feisty bodyguard Sam (Regina King). | Film | Default | 0 | 0 | 0 | 0 | 0 | 15 | Default | 6 | 15 | Front Row 10 | | | 0 | 0 | 1 | 0 | 0 | 0 | 0 | 0 | 00:00:00 | 0 | 0 | 0 | 27 | 1 | | 314 | 6 | 1276 | 08:30:00 | 2005-10-13 | 10:24:00 | 2005-10-13 | Ray | | Jamie Foxx's Oscar winning performance sees him playing Ray Charles, the legendary black musician, with stunning insight and incredible sensitivity. A tear-jerking, thought provoking look at the life of a musical genius who overcame extreme difficulties to become one of the most revered musicians of his time. A captivating portrait of a great man, detailing both his strengths and weaknesses, set to a backdrop of wonderful music. | Film | Default | 0 | 0 | 0 | 0 | 0 | 15 | Default | 6 | 15 | Front Row 23 | | | 0 | 0 | 1 | 0 | 0 | 0 | 0 | 0 | 00:00:00 | 0 | 0 | 0 | 27 | 1 | +----------+------+--------+-----------+------------+----------+------------+-----------------------------------------+----------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+----------+---------+-------------+------------+-------------+-----------+-------------+-----------+----------+-----------+-------+--------------+----------+-----------+--------+---------------+--------------+--------------+--------------+--------------+--------------+---------+----------+--------+----------+----------+------------+-----------+ 2 rows in set (0.00 sec)

mysql> select starttime,recstatus from oldrecorded where recordid in (313,314); +---------------------+-----------+ | starttime | recstatus | +---------------------+-----------+ | 2005-10-13 19:00:00 | 4 | | 2005-10-13 18:00:00 | 4 | | 2005-10-13 17:00:00 | -3 | | 2005-10-13 16:00:00 | 4 | | 2005-10-13 15:00:00 | 4 | | 2005-10-13 14:00:00 | -3 | | 2005-10-13 13:00:00 | 4 | | 2005-10-13 12:00:00 | 4 | | 2005-10-13 11:00:00 | -3 | | 2005-10-13 10:00:00 | 8 | | 2005-10-13 09:00:00 | 8 | | 2005-10-13 08:00:00 | 8 | | 2005-10-13 19:00:00 | 4 | | 2005-10-13 17:30:00 | -3 | | 2005-10-13 16:00:00 | 4 | | 2005-10-13 14:30:00 | -3 | | 2005-10-13 13:00:00 | 4 | | 2005-10-13 11:30:00 | -3 | | 2005-10-13 10:00:00 | 8 | | 2005-10-13 08:30:00 | 8 | +---------------------+-----------+ 20 rows in set (0.00 sec)

mysql> select * from oldfind; Empty set (0.00 sec)

comment:5 Changed 14 years ago by bjm@…

Thank you. Plese send the outout for the following verbatim:

$ mysql -u mythtv -pmythtv mythconverg
mysql> select recordid,title from record where type=6;

mysql> select * from record where recordid=313\G

[backslash, capital G]

mysql> select title,starttime,endtime,progstart,progend,findid from recorded where title='Miss Congeniality 2: Armed and Fabulous'\G

mysql> select recordid,starttime,recstatus from oldrecorded where recordid=313 order by starttime;

mysql> select * from record where recordid=314\G

[backslash, capital G]

mysql> select title,starttime,endtime,progstart,progend,findid from recorded where title='Ray'\G

mysql> select recordid,starttime,recstatus from oldrecorded where recordid=314 order by starttime;

mysql> select * from oldfind;

comment:6 Changed 14 years ago by anonymous

Here you go...

Reading table information for completion of table and column names You can turn off this feature to get a quicker startup with -A

Welcome to the MySQL monitor. Commands end with ; or \g. Your MySQL connection id is 1145 to server version: 4.0.23a-log

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> select recordid,title from record where type=6; +----------+-----------------------------------------+ | recordid | title | +----------+-----------------------------------------+ | 306 | West Side Story | | 313 | Miss Congeniality 2: Armed and Fabulous | | 314 | Ray | +----------+-----------------------------------------+ 3 rows in set (0.00 sec)

mysql> mysql> select * from record where recordid=313\G * 1. row *

recordid: 313

type: 6

chanid: 1299

starttime: 11:00:00 startdate: 2005-10-13

endtime: 12:51:00 enddate: 2005-10-13

title: Miss Congeniality 2: Armed and Fabulous

subtitle:

description: Fans of Miss Congeniality aka Gracie Hart aka Sandra Bullock will love this equally silly sequel to the original hit movie. Gracie is now a national heroine, having saved the Miss America pageant from sabotage. But she's so well known that carrying on as an undercover agent is impossible, so the powers that be decide to make her "The Face of the FBI" and she embarks on a whirlwind publicity tour. While in Las Vegas she hears that her pal Cheryl and pageant boss Stan have been kidnapped and is determined to track them down, with or without the help of her feisty bodyguard Sam (Regina King).

category: Film

profile: Default

recpriority: 0

autoexpire: 0

maxepisodes: 0

maxnewest: 0

startoffset: 0

endoffset: 15

recgroup: Default

dupmethod: 6

dupin: 15

station: Front Row 10

seriesid:

programid:

search: 0

autotranscode: 0

autocommflag: 1 autouserjob1: 0 autouserjob2: 0 autouserjob3: 0 autouserjob4: 0

findday: 0

findtime: 00:00:00

findid: 0

inactive: 0 parentid: 0

transcoder: 27

tsdefault: 1

1 row in set (0.00 sec)

mysql> mysql> select title,starttime,endtime,progstart,progend,findid from recorded where title='Miss Congeniality 2: Armed and Fabulous'\G * 1. row *

title: Miss Congeniality 2: Armed and Fabulous

starttime: 2005-10-13 10:57:00

endtime: 2005-10-13 13:09:00

progstart: 2005-10-13 11:00:00

progend: 2005-10-13 12:51:00

findid: 0

* 2. row *

title: Miss Congeniality 2: Armed and Fabulous

starttime: 2005-10-13 13:57:00

endtime: 2005-10-13 16:09:00

progstart: 2005-10-13 14:00:00

progend: 2005-10-13 15:51:00

findid: 0

* 3. row *

title: Miss Congeniality 2: Armed and Fabulous

starttime: 2005-10-13 16:57:00

endtime: 2005-10-13 19:09:00

progstart: 2005-10-13 17:00:00

progend: 2005-10-13 18:51:00

findid: 0

3 rows in set (0.01 sec)

mysql> mysql> select recordid,starttime,recstatus from oldrecorded where recordid=313 order by starttime; +----------+---------------------+-----------+ | recordid | starttime | recstatus | +----------+---------------------+-----------+ | 313 | 2005-10-13 08:00:00 | 8 | | 313 | 2005-10-13 09:00:00 | 8 | | 313 | 2005-10-13 10:00:00 | 8 | | 313 | 2005-10-13 11:00:00 | -3 | | 313 | 2005-10-13 12:00:00 | 4 | | 313 | 2005-10-13 13:00:00 | 4 | | 313 | 2005-10-13 14:00:00 | -3 | | 313 | 2005-10-13 15:00:00 | 4 | | 313 | 2005-10-13 16:00:00 | 4 | | 313 | 2005-10-13 17:00:00 | -3 | | 313 | 2005-10-13 18:00:00 | 4 | | 313 | 2005-10-13 19:00:00 | 4 | +----------+---------------------+-----------+ 12 rows in set (0.00 sec)

mysql> mysql> select * from record where recordid=314\G * 1. row *

recordid: 314

type: 6

chanid: 1276

starttime: 08:30:00 startdate: 2005-10-13

endtime: 10:24:00 enddate: 2005-10-13

title: Ray

subtitle:

description: Jamie Foxx's Oscar winning performance sees him playing Ray Charles, the legendary black musician, with stunning insight and incredible sensitivity. A tear-jerking, thought provoking look at the life of a musical genius who overcame extreme difficulties to become one of the most revered musicians of his time. A captivating portrait of a great man, detailing both his strengths and weaknesses, set to a backdrop of wonderful music.

category: Film

profile: Default

recpriority: 0

autoexpire: 0

maxepisodes: 0

maxnewest: 0

startoffset: 0

endoffset: 15

recgroup: Default

dupmethod: 6

dupin: 15

station: Front Row 23

seriesid:

programid:

search: 0

autotranscode: 0

autocommflag: 1 autouserjob1: 0 autouserjob2: 0 autouserjob3: 0 autouserjob4: 0

findday: 0

findtime: 00:00:00

findid: 0

inactive: 0 parentid: 0

transcoder: 27

tsdefault: 1

1 row in set (0.00 sec)

mysql> mysql> select title,starttime,endtime,progstart,progend,findid from recorded where title='Ray'\G * 1. row *

title: Ray

starttime: 2005-10-13 17:30:00

endtime: 2005-10-13 19:42:00

progstart: 2005-10-13 17:30:00

progend: 2005-10-13 19:24:00

findid: 0

* 2. row *

title: Ray

starttime: 2005-10-13 11:27:00

endtime: 2005-10-13 13:42:00

progstart: 2005-10-13 11:30:00

progend: 2005-10-13 13:24:00

findid: 0

* 3. row *

title: Ray

starttime: 2005-10-13 14:27:00

endtime: 2005-10-13 16:42:00

progstart: 2005-10-13 14:30:00

progend: 2005-10-13 16:24:00

findid: 0

* 4. row *

title: Ray

starttime: 2005-10-13 20:27:00

endtime: 2005-10-13 22:39:00

progstart: 2005-10-13 20:30:00

progend: 2005-10-13 22:24:00

findid: 0

4 rows in set (0.02 sec)

mysql> mysql> select recordid,starttime,recstatus from oldrecorded where recordid=314 order by starttime; +----------+---------------------+-----------+ | recordid | starttime | recstatus | +----------+---------------------+-----------+ | 314 | 2005-10-13 08:30:00 | 8 | | 314 | 2005-10-13 10:00:00 | 8 | | 314 | 2005-10-13 11:30:00 | -3 | | 314 | 2005-10-13 13:00:00 | 4 | | 314 | 2005-10-13 14:30:00 | -3 | | 314 | 2005-10-13 16:00:00 | 4 | | 314 | 2005-10-13 17:30:00 | -3 | | 314 | 2005-10-13 19:00:00 | 4 | | 314 | 2005-10-13 20:30:00 | -2 | +----------+---------------------+-----------+ 9 rows in set (0.00 sec)

mysql> mysql> select * from oldfind; Empty set (0.00 sec)

mysql>

comment:7 Changed 14 years ago by anonymous

Try that again...

Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 1145 to server version: 4.0.23a-log

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> select recordid,title from record where type=6;
+----------+-----------------------------------------+
| recordid | title                                   |
+----------+-----------------------------------------+
|      306 | West Side Story                         |
|      313 | Miss Congeniality 2: Armed and Fabulous |
|      314 | Ray                                     |
+----------+-----------------------------------------+
3 rows in set (0.00 sec)

mysql> 
mysql> select * from record where recordid=313\G
*************************** 1. row ***************************
     recordid: 313
         type: 6
       chanid: 1299
    starttime: 11:00:00
    startdate: 2005-10-13
      endtime: 12:51:00
      enddate: 2005-10-13
        title: Miss Congeniality 2: Armed and Fabulous
     subtitle: 
  description: Fans of Miss Congeniality aka Gracie Hart aka Sandra Bullock will love this equally silly sequel to the original hit movie. Gracie is now a national heroine, having saved the Miss America pageant from sabotage. But she's so well known that carrying on as an undercover agent is impossible, so the powers that be decide to make her "The Face of the FBI" and she embarks on a whirlwind publicity tour. While in Las Vegas she hears that her pal Cheryl and pageant boss Stan have been kidnapped and is determined to track them down, with or without the help of her feisty bodyguard Sam (Regina King).
     category: Film
      profile: Default
  recpriority: 0
   autoexpire: 0
  maxepisodes: 0
    maxnewest: 0
  startoffset: 0
    endoffset: 15
     recgroup: Default
    dupmethod: 6
        dupin: 15
      station: Front Row 10
     seriesid: 
    programid: 
       search: 0
autotranscode: 0
 autocommflag: 1
 autouserjob1: 0
 autouserjob2: 0
 autouserjob3: 0
 autouserjob4: 0
      findday: 0
     findtime: 00:00:00
       findid: 0
     inactive: 0
     parentid: 0
   transcoder: 27
    tsdefault: 1
1 row in set (0.00 sec)

mysql> 
mysql> select title,starttime,endtime,progstart,progend,findid from recorded where title='Miss Congeniality 2: Armed and Fabulous'\G
*************************** 1. row ***************************
    title: Miss Congeniality 2: Armed and Fabulous
starttime: 2005-10-13 10:57:00
  endtime: 2005-10-13 13:09:00
progstart: 2005-10-13 11:00:00
  progend: 2005-10-13 12:51:00
   findid: 0
*************************** 2. row ***************************
    title: Miss Congeniality 2: Armed and Fabulous
starttime: 2005-10-13 13:57:00
  endtime: 2005-10-13 16:09:00
progstart: 2005-10-13 14:00:00
  progend: 2005-10-13 15:51:00
   findid: 0
*************************** 3. row ***************************
    title: Miss Congeniality 2: Armed and Fabulous
starttime: 2005-10-13 16:57:00
  endtime: 2005-10-13 19:09:00
progstart: 2005-10-13 17:00:00
  progend: 2005-10-13 18:51:00
   findid: 0
3 rows in set (0.01 sec)

mysql> 
mysql> select recordid,starttime,recstatus from oldrecorded where recordid=313 order by starttime;
+----------+---------------------+-----------+
| recordid | starttime           | recstatus |
+----------+---------------------+-----------+
|      313 | 2005-10-13 08:00:00 |         8 |
|      313 | 2005-10-13 09:00:00 |         8 |
|      313 | 2005-10-13 10:00:00 |         8 |
|      313 | 2005-10-13 11:00:00 |        -3 |
|      313 | 2005-10-13 12:00:00 |         4 |
|      313 | 2005-10-13 13:00:00 |         4 |
|      313 | 2005-10-13 14:00:00 |        -3 |
|      313 | 2005-10-13 15:00:00 |         4 |
|      313 | 2005-10-13 16:00:00 |         4 |
|      313 | 2005-10-13 17:00:00 |        -3 |
|      313 | 2005-10-13 18:00:00 |         4 |
|      313 | 2005-10-13 19:00:00 |         4 |
+----------+---------------------+-----------+
12 rows in set (0.00 sec)

mysql> 
mysql> select * from record where recordid=314\G
*************************** 1. row ***************************
     recordid: 314
         type: 6
       chanid: 1276
    starttime: 08:30:00
    startdate: 2005-10-13
      endtime: 10:24:00
      enddate: 2005-10-13
        title: Ray
     subtitle: 
  description: Jamie Foxx's Oscar winning performance sees him playing Ray Charles, the legendary black musician, with stunning insight and incredible sensitivity. A tear-jerking, thought provoking look at the life of a musical genius who overcame extreme difficulties to become one of the most revered musicians of his time. A captivating portrait of a great man, detailing both his strengths and weaknesses, set to a backdrop of wonderful music.
     category: Film
      profile: Default
  recpriority: 0
   autoexpire: 0
  maxepisodes: 0
    maxnewest: 0
  startoffset: 0
    endoffset: 15
     recgroup: Default
    dupmethod: 6
        dupin: 15
      station: Front Row 23
     seriesid: 
    programid: 
       search: 0
autotranscode: 0
 autocommflag: 1
 autouserjob1: 0
 autouserjob2: 0
 autouserjob3: 0
 autouserjob4: 0
      findday: 0
     findtime: 00:00:00
       findid: 0
     inactive: 0
     parentid: 0
   transcoder: 27
    tsdefault: 1
1 row in set (0.00 sec)

mysql> 
mysql> select title,starttime,endtime,progstart,progend,findid from recorded where title='Ray'\G
*************************** 1. row ***************************
    title: Ray
starttime: 2005-10-13 17:30:00
  endtime: 2005-10-13 19:42:00
progstart: 2005-10-13 17:30:00
  progend: 2005-10-13 19:24:00
   findid: 0
*************************** 2. row ***************************
    title: Ray
starttime: 2005-10-13 11:27:00
  endtime: 2005-10-13 13:42:00
progstart: 2005-10-13 11:30:00
  progend: 2005-10-13 13:24:00
   findid: 0
*************************** 3. row ***************************
    title: Ray
starttime: 2005-10-13 14:27:00
  endtime: 2005-10-13 16:42:00
progstart: 2005-10-13 14:30:00
  progend: 2005-10-13 16:24:00
   findid: 0
*************************** 4. row ***************************
    title: Ray
starttime: 2005-10-13 20:27:00
  endtime: 2005-10-13 22:39:00
progstart: 2005-10-13 20:30:00
  progend: 2005-10-13 22:24:00
   findid: 0
4 rows in set (0.02 sec)

mysql> 
mysql> select recordid,starttime,recstatus from oldrecorded where recordid=314 order by starttime;
+----------+---------------------+-----------+
| recordid | starttime           | recstatus |
+----------+---------------------+-----------+
|      314 | 2005-10-13 08:30:00 |         8 |
|      314 | 2005-10-13 10:00:00 |         8 |
|      314 | 2005-10-13 11:30:00 |        -3 |
|      314 | 2005-10-13 13:00:00 |         4 |
|      314 | 2005-10-13 14:30:00 |        -3 |
|      314 | 2005-10-13 16:00:00 |         4 |
|      314 | 2005-10-13 17:30:00 |        -3 |
|      314 | 2005-10-13 19:00:00 |         4 |
|      314 | 2005-10-13 20:30:00 |        -2 |
+----------+---------------------+-----------+
9 rows in set (0.00 sec)

mysql> 
mysql> select * from oldfind;
Empty set (0.00 sec)

mysql> 

comment:8 Changed 14 years ago by bjm@…

Thank you. This includes all the info I needed and shows what goes with what.

The 'findid' is used to mark when a showing has successfully recorded for that rule in the time interval (daily, weekly, or forever with FindOne?). The findtime, findday and findid should all be set when the rule is created. However, your rules have these as all blank.

One possibility is that there were some recent changes that did not update rules properly. If possible, please check your mythfrontend logs or console to see if there were any "DB Error" messages at the time you created these rules.

Check out current SVN to another directory and do a clean make then install (you can revert by doing as make install from your usual working directory) then create a new FindOne? rule for a movie as well as a FindWeekly? for testing purposes.

I'd like to see if the findday and findtime had been set in the past as well as for these new rules. Please send the output for the following:

$ mysql -u mythtv -pmythtv mythconverg
mysql> select recordid,type,search,startdate,findtime,findday,findid from record order by recordid;

Thank you for your help in tracking this down.

comment:9 Changed 14 years ago by anonymous

Here you go. FindOne? used to work until recently - I had a successful FindOne? recording on Monday, which didn't keep recording. Can't remember which svn rev I was running, though...

mysql> select recordid,type,search,startdate,findtime,findday,findid from record order by recordid;
+----------+------+--------+------------+----------+---------+--------+
| recordid | type | search | startdate  | findtime | findday | findid |
+----------+------+--------+------------+----------+---------+--------+
|        4 |    4 |      0 | 2003-10-07 | 00:00:00 |       0 |      0 |
|       23 |    3 |      0 | 2003-10-20 | 00:00:00 |       0 |      0 |
|       32 |    4 |      0 | 2004-01-18 | 00:00:00 |       0 |      0 |
|       38 |    4 |      0 | 2004-01-22 | 00:00:00 |       0 |      0 |
|       41 |    4 |      0 | 2004-01-22 | 00:00:00 |       0 |      0 |
|       46 |    4 |      0 | 2004-05-16 | 00:00:00 |       0 |      0 |
|       96 |    4 |      0 | 2005-08-31 | 00:00:00 |       0 |      0 |
|      109 |    4 |      0 | 2005-02-05 | 00:00:00 |       0 |      0 |
|      111 |    4 |      0 | 2005-08-16 | 00:50:00 |       5 |      0 |
|      125 |    4 |      0 | 2005-02-13 | 00:00:00 |       0 |      0 |
|      155 |    4 |      0 | 2005-03-13 | 00:00:00 |       0 |      0 |
|      158 |    4 |      0 | 2005-03-13 | 00:00:00 |       0 |      0 |
|      166 |    3 |      0 | 2005-03-26 | 00:00:00 |       0 |      0 |
|      196 |    4 |      0 | 2005-04-18 | 00:00:00 |       0 |      0 |
|      197 |    4 |      0 | 2005-04-18 | 00:00:00 |       0 |      0 |
|      224 |    3 |      0 | 2005-05-20 | 00:00:00 |       0 |      0 |
|      225 |    4 |      0 | 2005-05-20 | 00:00:00 |       0 |      0 |
|      233 |    4 |      0 | 2005-06-03 | 00:00:00 |       0 |      0 |
|      239 |    4 |      0 | 2005-06-20 | 23:00:00 |       2 |      0 |
|      247 |    4 |      0 | 2005-07-21 | 00:00:00 |       0 |      0 |
|      248 |    4 |      0 | 2005-07-21 | 00:00:00 |       0 |      0 |
|      255 |    4 |      0 | 2005-07-24 | 00:00:00 |       0 |      0 |
|      266 |    4 |      0 | 2005-08-10 | 00:00:00 |       0 |      0 |
|      271 |    4 |      0 | 2005-08-20 | 06:00:00 |       0 |      0 |
|      286 |    4 |      0 | 2005-09-30 | 00:00:00 |       0 |      0 |
|      287 |    4 |      0 | 2005-10-07 | 00:00:00 |       0 |      0 |
|      288 |    4 |      0 | 2005-09-30 | 00:00:00 |       0 |      0 |
|      299 |    8 |      0 | 2005-10-14 | 00:00:00 |       0 |      0 |
|      300 |    8 |      0 | 2005-10-14 | 00:00:00 |       0 |      0 |
|      301 |    8 |      0 | 2005-10-14 | 00:00:00 |       0 |      0 |
|      302 |    8 |      0 | 2005-10-14 | 00:00:00 |       0 |      0 |
|      303 |    4 |      0 | 2005-10-08 | 20:10:00 |       0 |      0 |
|      306 |    6 |      0 | 2005-10-16 | 00:00:00 |       0 | 732600 |
|      308 |    8 |      0 | 2005-10-14 | 00:00:00 |       0 |      0 |
|      309 |    8 |      0 | 2005-10-16 | 00:00:00 |       0 |      0 |
|      310 |    8 |      0 | 2005-10-17 | 00:00:00 |       0 |      0 |
|      311 |    8 |      0 | 2005-10-17 | 00:00:00 |       0 |      0 |
|      312 |    8 |      0 | 2005-10-17 | 00:00:00 |       0 |      0 |
|      313 |    6 |      0 | 2005-10-13 | 00:00:00 |       0 |      0 |
|      314 |    6 |      0 | 2005-10-13 | 00:00:00 |       0 |      0 |
+----------+------+--------+------------+----------+---------+--------+

comment:10 Changed 14 years ago by imc25 at cam.ac.uk

Update: If I fiddle with the duplicate check method (since films don't have subtitles), then it stops continuously recording - it seems like findone is behaving like "record at any time on any channel"

comment:11 Changed 14 years ago by bjm

Resolution: fixed
Status: newclosed

(In [7482]) Sets the find* parameters when a new rule is created in MythWeb. The findday, used bu FindWeekly?, findtime, used for daily and weekly rules, and a static findid for FindOne? are set as they would be with mythfrontend.

Closes #465

Note: See TracTickets for help on using tickets.